> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/caf-api-pt-br/connect/transactions/services/face-liveness.md).

# Prova de vida facial

Verifica se a selfie enviada é uma fraude.

**Seção**: `vivacidade`

**Arquivos obrigatórios:** `selfie`

{% tabs %}
{% tab title="Esquema" %}

| Atributo                      | Tipo    | Descrição                                                                                                                   |
| ----------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------- |
| código de status              | String  | Status da consulta ([detalhes](/caf-api/caf-api-pt-br/connect/transactions/background-check/data-structure.md#status-code)) |
| dados                         | Objeto  | Dados de retorno                                                                                                            |
| data.message                  | String  | Mensagem da consulta                                                                                                        |
| data.status                   | String  | Status da consulta no serviço. Valores possíveis: APPROVED ou REPROVED                                                      |
| data.isAlive                  | Boolean | Resposta de liveness                                                                                                        |
| data.info.probability         | Number  | Probabilidade de o resultado de liveness estar correto                                                                      |
| data.info.openEyesProbability | Number  | Probabilidade de os olhos estarem abertos                                                                                   |
| {% endtab %}                  |         |                                                                                                                             |

{% tab title="Exemplo" %}

```json
{
  "liveness": {
    "statusCode": "01",
    "data": {
      "message": "Consulta realizada com sucesso",
      "status": "APPROVED",
      "isAlive": true,
      "info": {
        "probability": 0.9999899864196777,
        "openEyesProbability": 0.9989315271377563
      }
    }
  }
}
```

{% endtab %}

{% tab title="Regras de validação" %}

| Regra                      | Descrição                                                        |
| -------------------------- | ---------------------------------------------------------------- |
| liveness\_approved         | Verifique se a liveness foi aprovada.                            |
| liveness\_double\_check    | Esta regra envia a selfie para verificação manual anti-spoofing. |
| liveness\_manual\_revision | Esta regra envia a selfie para verificação manual anti-spoofing. |
| {% endtab %}               |                                                                  |
| {% endtabs %}              |                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-api/caf-api-pt-br/connect/transactions/services/face-liveness.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
